summaryrefslogtreecommitdiff
path: root/packages/gwt-chromium/resources/chrome-profile/bin/gwt-chrome-persistent
diff options
context:
space:
mode:
Diffstat (limited to 'packages/gwt-chromium/resources/chrome-profile/bin/gwt-chrome-persistent')
-rwxr-xr-xpackages/gwt-chromium/resources/chrome-profile/bin/gwt-chrome-persistent12
1 files changed, 12 insertions, 0 deletions
diff --git a/packages/gwt-chromium/resources/chrome-profile/bin/gwt-chrome-persistent b/packages/gwt-chromium/resources/chrome-profile/bin/gwt-chrome-persistent
new file mode 100755
index 0000000..c0b2ef1
--- /dev/null
+++ b/packages/gwt-chromium/resources/chrome-profile/bin/gwt-chrome-persistent
@@ -0,0 +1,12 @@
+#!/bin/sh
+HERE=`dirname "$0"`
+profile="$HOME/.config/gwt-chrome"
+if ! [ -e "$profile" ]; then
+ mkdir -p "$profile"
+ cp -r "$HERE/../chrome-profile"/* "$profile"
+fi
+chmod -R u+w "$profile"
+LD_LIBRARY_PATH="$HERE/../lib/chrome-support" \
+ "$HERE"/../chrome-linux/chrome \
+ --auth-server-whitelist="*cern.ch" \
+ --disable-setuid-sandbox --user-data-dir="$profile" $*